### Namespace

# EBook – 1.2

Client library for Evolution Data Server address books

Version | 3.58.3
Authors | Evolution Data Server Development Team
License | LGPL-2.0-only
Website |
Source | https://gitlab.gnome.org/GNOME/evolution-data-server/

#### Build

C headers | `libebook/libebook.h`
pkg-config files | `libebook-1.2`

#### Dependencies

GObject—2.0 | The base type system library
| Browse documentation
EDataServer—1.2 | Utility library for Evolution Data Server
| Browse documentation
EBookContacts—1.2 | Client library for Evolution Data Server contacts and vCard structures
| Browse documentation

#### Additional documentation

- Classes Hierarchy

#### Classes

BookClient | Contains only private data that should be read and manipulated using the functions below. since: 3.2
BookClientCursor | Contains only private data. since: 3.12
BookClientView | Contains only private data the should be read and manipulated using the functions below. since: 3.2
Destination |

#### Enumerations

BookStatus | Error codes for the #E_BOOK_ERROR error. deprecated: 3.2

#### Functions

book_error_quark |
book_utils_get_recipient_certificates_sync | Synchronously searches for `recipients` S/MIME or PGP certificates either in provided `only_clients` `EBookClient`, or, when `NULL`, in each found address book configured for auto-completion. since: 3.30

#### Function Macros

return_async_error_if_fail | since: 2.32
return_async_error_val_if_fail |
return_error_if_fail | FIXME Document me! since: 2.30
return_ex_async_error_if_fail |
return_ex_async_error_val_if_fail | since: 2.32